<?php

namespace DuD\MatheAuswertungBundle\ContaoManager;

use Contao\CoreBundle\ContaoCoreBundle;
use Contao\ManagerPlugin\Bundle\BundlePluginInterface;
use Contao\ManagerPlugin\Bundle\Config\BundleConfig;
use Contao\ManagerPlugin\Bundle\Parser\ParserInterface;
use DuD\MatheAuswertungBundle\DuDMatheAuswertungBundle;
use Symfony\Component\Config\Loader\LoaderInterface;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\HttpKernel\KernelInterface;

class Plugin implements BundlePluginInterface
{
    /**
     * Registers the bundle in the Contao Manager.
     *
     * @param ParserInterface $parser
     * @return array
     */
    public function getBundles(ParserInterface $parser): array
    {
        return [
            BundleConfig::create(DuDMatheAuswertungBundle::class)
                ->setLoadAfter([ContaoCoreBundle::class])
        ];
    }

    /**
     * Loads additional configuration files.
     *
     * @param ContainerBuilder $container
     * @param LoaderInterface $loader
     */
    public function load(ContainerBuilder $container, LoaderInterface $loader): void
    {
        // Optionally load additional configuration files
    }

    /**
     * Allows the plugin to modify the Kernel instance.
     *
     * @param KernelInterface $kernel
     */
    public function boot(KernelInterface $kernel): void
    {
        // Optionally modify the Kernel during the boot process
    }
}
